// SkelElement.java


package dogma.examples.dog;


import djm.dog.Element;
import djm.dog.OneDArrayFloatPartition;
import java.rmi.RemoteException;

	// This is the interface for our server class (our DOG elements)
	// as required by RMI.
	// Basically it just contains the names of all methods in our
	// elements that can be called from or client.

interface SkelElement extends Element {
	public OneDArrayFloatPartition 	
		addFloatToArray(OneDArrayFloatPartition myPartition, float floatToAdd)
							throws RemoteException;
}
