// SkelElementImpl.java


package dogma.examples.dog;


import djm.dog.*;
import java.rmi.RemoteException;


public class SkelElementImpl extends OneDArrayElementImpl implements SkelElement {

			// RMI requires a constructor that 
			// throws a RemoteException

	public SkelElementImpl() throws RemoteException {
	}
	

	public OneDArrayFloatPartition addFloatToArray(OneDArrayFloatPartition myPartition, 
			float floatToAdd) {
			// For kicks, print out some of the basic information 
			// that we get about our partition.
			// Its first row, last row, and # of rows.

		out.println("My partition goes from:");
		out.println(myPartition.partitionMin +" - "+
					myPartition.partitionMax);
		out.println("Partition size: "+
					myPartition.partitionSize);

			// Do the actual addition for this partition

		for(int i = 0; i < myPartition.partitionSize; i++) {
			for(int j = 0; j < myPartition.data[i].length; j++) {
				myPartition.data[i][j] += floatToAdd;
			}
		}

			// Now since since we've changed the actual data
			// in the partition, we can just return the
			// partition we've been working with.
		return myPartition;
	}
	
		// NOTE: We don't
		// have to put all our methods into the
		// remote interface.  Just the ones we need
		// to call from clients.
}
